import { AfterContentInit, OnDestroy, EventEmitter } from '@angular/core';
import { ColorPickItemDirective } from './color-picklist-item.directive';
import { PickDirective } from '../pick/pick.directive';
export declare class ColorPicklistComponent implements AfterContentInit, OnDestroy {
    pick: PickDirective;
    set data(data: any[]);
    get data(): any[];
    set fluid(fluid: boolean | string);
    get fluid(): boolean | string;
    set isDisabled(disabled: boolean | string);
    get isDisabled(): boolean | string;
    isForInlineTableCSS: boolean;
    set open(value: boolean);
    get open(): boolean;
    closeClickOutside: boolean;
    popOverPosition: string;
    nubbinPosition: string;
    openChange: EventEmitter<any>;
    selectedElem: EventEmitter<{
        HTMLElement: HTMLElement;
        idx: number;
    }>;
    itemTemplate: ColorPickItemDirective;
    private _data;
    private _open;
    private _changeSubscription;
    private _disabled;
    private _fluid;
    constructor(pick: PickDirective);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    isOptionActive(item: any): boolean;
    onSelectedElem(evt: any): void;
}
